[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: big problem with apt-get / deselect

On Mon, Apr 14, 2003 at 11:54:04AM +0100, Organ Grinder wrote:
> After adding testing to apt sources file to get kernel-source.2.4.20 
> which i did not use I removed the testing source from sources file, now 
> whenever I use apt-get or deselect i get the following :(
> Reading Package Lists... Done
> Building Dependency Tree... Done
> The following NEW packages will be installed:
>   iproute
> 0 packages upgraded, 1 newly installed, 0 to remove and 0  not upgraded.
> Need to get 518kB of archives. After unpacking 837kB will be used.
> Do you want to continue? [Y/n] y
> Get:1 http://ftp.uk.debian.org stable/main iproute 20010824-8 [518kB]
> Fetched 518kB in 8s (62.7kB/s)
> (Reading database ... dpkg: error processing 
> /var/cache/apt/archives/iproute_20010824-8_i386.deb (--unpack):
>  files list file for package `base-passwd' is missing final newline

This means that you have had filesystem corruption affecting
/var/lib/dpkg/info/base-passwd.list. What does that file now contain?

Colin Watson                                  [cjwatson@flatline.org.uk]

Reply to: